Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 595140 - Master volume controls channel, while PCM controls master volume
Master volume controls channel, while PCM controls master volume
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: alsa-lib (Show other bugs)
6.0
All Linux
low Severity low
: rc
: ---
Assigned To: Jaroslav Kysela
Desktop QE
:
Depends On:
Blocks: 1269638
  Show dependency treegraph
 
Reported: 2010-05-23 11:20 EDT by Bradley Scalio
Modified: 2015-10-14 04:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-14 04:36:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sosreport from the system (588.01 KB, application/x-bzip)
2010-05-23 11:22 EDT, Bradley Scalio
no flags Details

  None (edit)
Description Bradley Scalio 2010-05-23 11:20:37 EDT
Description of problem:

Both the quick-keys (media keys) as well as the mixer, have a mapping issue.
The master volume control actually controls the channel, i.e. reducing the volume actually is a slider of LEFT-RIGHT speaker output.  So, for example, when the master volume is at 100% or <===========> (ASCII image of slider) both speakers are used at 100% volume.  When you reduce it to say 50% <=====     > then only the left speaker is used at 100% and the right speaker is turned off.

Launching the mixer and using the PCM control actually controls the master volume.


Version-Release number of selected component (if applicable):

[root@xps-m1710 20thirdparty]# rpm -qa | grep alsa
report-config-localsave-0.10-2.el6.x86_64
alsa-lib-1.0.21-3.el6.i686
report-plugin-localsave-0.10-2.el6.x86_64
alsa-plugins-pulseaudio-1.0.21-3.el6.i686
alsa-plugins-pulseaudio-1.0.21-3.el6.x86_64
alsa-lib-1.0.21-3.el6.x86_64
alsa-utils-1.0.21-2.el6.x86_64
alsa-lib-devel-1.0.21-3.el6.x86_64

[root@xps-m1710 20thirdparty]# uname -a
Linux xps-m1710 2.6.32-19.el6.x86_64 #1 SMP Tue Mar 9 17:48:46 EST 2010 x86_64 x86_64 x86_64 GNU/Linux


How reproducible:
100% reproducible

Steps to Reproduce:
1. Install RHEL6bets
2. Change volume either via media keys or master control

  
Actual results:
Speaker channel changes

Expected results:
Master volume changes

Additional info:
http://www.alsa-project.org/db/?f=0d684b8c302d20addddc83077fca7e7da5efb1a3
Comment 1 Bradley Scalio 2010-05-23 11:21:11 EDT
FYI the link in ADDITIONAL INFO is the alsa-info upload
Will also upload an sosreport
Comment 2 Bradley Scalio 2010-05-23 11:22:47 EDT
Created attachment 415967 [details]
sosreport from the system

I realize this is a config issue - however Fedora12 and RHEL5 did not have this problem on this laptop "out-of-the-box"
Comment 4 Jaroslav Kysela 2010-05-24 03:15:57 EDT
Could you test 'alsamixer -c0' command? (The question is if you use Pulse Audio mixer or if you use directly the hardware mixer). Also, attach output for 'alsa-info.sh --no-upload' for a non-working setup (unbalanced channels).
Comment 5 Bradley Scalio 2010-05-24 19:02:14 EDT
Yes, alsamixer -c0 when changing the master volume only changes the channel, not the volume

The alsa-info is also in the link provided in the "additional info" section of the original bug report but also included inline below

Thanks



[root@xps-m1710 ~]# alsa-info.sh 
WARNING: All config files need .conf: /etc/modprobe.d/file, it will be ignored in a future release.
ALSA Information Script v 0.4.59                                                                   
--------------------------------                                                                   

This script visits the following commands/files to collect diagnostic
information about your ALSA installation and sound related hardware. 

  dmesg
  lspci
  lsmod
  aplay
  amixer
  alsactl
  /proc/asound/
  /sys/class/sound/
  ~/.asoundrc (etc.)

See '/usr/bin/alsa-info.sh --help' for command line options.

Automatically upload ALSA information to www.alsa-project.org? [y/N] : N


Your ALSA information is in /tmp/alsa-info.txt.75OI7aZYVu

[root@xps-m1710 ~]# cat /tmp/alsa-info.txt.75OI7aZYVu 
upload=true&script=true&cardinfo=                     
!!################################                    
!!ALSA Information Script v 0.4.59                    
!!################################                    

!!Script ran on: Mon May 24 23:00:17 UTC 2010


!!Linux Distribution
!!------------------

Red Hat Enterprise Linux release 6.0 Beta (Santiago) Red Hat Enterprise Linux release 6.0 Beta (Santiago) Red Hat Enterprise Linux release 6.0 Beta (Santiago)                                                                                                              


!!DMI Information
!!---------------

Manufacturer:      Dell Inc.
Product Name:      MXG061                          


!!Kernel Information
!!------------------

Kernel release:    2.6.32-19.el6.x86_64
Operating System:  GNU/Linux           
Architecture:      x86_64              
Processor:         x86_64              
SMP Enabled:       Yes                 


!!ALSA Version
!!------------

Driver version:     1.0.21
Library version:    1.0.21
Utilities version:  1.0.21


!!Loaded ALSA modules
!!-------------------

snd_hda_intel


!!Sound Servers on this system
!!----------------------------

Pulseaudio:
      Installed - Yes (/usr/bin/pulseaudio)
      Running - Yes                        

aRts:
      Installed - Yes (/usr/bin/artsd)
      Running - No                    


!!Soundcards recognised by ALSA
!!-----------------------------

 0 [Intel          ]: HDA-Intel - HDA Intel
                      HDA Intel at 0xefffc000 irq 30


!!PCI Soundcards installed in the system
!!--------------------------------------

00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 01)


!!Advanced information - PCI Vendor/Device/Susbsystem ID's
!!--------------------------------------------------------

00:1b.0 0403: 8086:27d8 (rev 01)
        Subsystem: 1028:01ce    


!!Loaded sound module options
!!-------------------------- 

!!Module: snd_hda_intel
        bdl_pos_adj : 1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
        beep_mode : 2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2                                 
        enable : Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y                                    
        enable_msi : -1                                                                                             
        id : <NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>                                
        index : -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1                       
        model : <NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>                             
        patch : <NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>                             
        position_fix : 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0                                                
        power_save : 5                                                                                                                
        power_save_controller : Y                                                                                                     
        probe_mask : -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1                  
        probe_only : N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N                                                  
        single_cmd : N                                                                                                                


!!HDA-Intel Codec information
!!---------------------------
--startcollapse--            

Codec: SigmaTel STAC9200
Address: 0              
Function Id: 0x1        
Vendor Id: 0x83847690   
Subsystem Id: 0x102801ce
Revision Id: 0x102201   
No Modem Function Group found
Default PCM:                 
    rates [0x7e0]: 44100 48000 88200 96000 176400 192000
    bits [0xe]: 16 20 24                                
    formats [0x1]: PCM                                  
Default Amp-In caps: N/A                                
Default Amp-Out caps: ofs=0x1f, nsteps=0x1f, stepsize=0x05, mute=1
GPIO: io=4, o=0, i=0, unsolicited=1, wake=1                       
  IO[0]: enable=0, dir=0, wake=0, sticky=0, data=0, unsol=0       
  IO[1]: enable=0, dir=0, wake=0, sticky=0, data=0, unsol=0       
  IO[2]: enable=0, dir=0, wake=0, sticky=0, data=0, unsol=0       
  IO[3]: enable=0, dir=0, wake=0, sticky=0, data=0, unsol=0       
Node 0x02 [Audio Output] wcaps 0xd0401: Stereo                    
  Device: name="STAC92xx Analog", type="Audio", device=0          
  Converter: stream=0, channel=0                                  
  Power: setting=D0, actual=D0                                    
  Delay: 13 samples                                               
Node 0x03 [Audio Input] wcaps 0x1d0541: Stereo                    
  Device: name="STAC92xx Analog", type="Audio", device=0          
  Converter: stream=0, channel=0                                  
  SDI-Select: 0                                                   
  Power: setting=D0, actual=D0                                    
  Delay: 13 samples                                               
  Connection: 1                                                   
     0x0a                                                         
  Processing caps: benign=0, ncoeff=0                             
Node 0x04 [Audio Input] wcaps 0x140311: Stereo Digital            
  Converter: stream=0, channel=0                                  
  SDI-Select: 0                                                   
  Digital:                                                        
  Digital category: 0x0                                           
  PCM:                                                            
    rates [0x160]: 44100 48000 96000                              
    bits [0xe]: 16 20 24                                          
    formats [0x5]: PCM AC3                                        
  Delay: 4 samples                                                
  Connection: 1                                                   
     0x08                                                         
Node 0x05 [Audio Output] wcaps 0x40211: Stereo Digital            
  Control: name="IEC958 Playback Con Mask", index=0, device=0     
  Control: name="IEC958 Playback Pro Mask", index=0, device=0     
  Control: name="IEC958 Playback Default", index=0, device=0      
  Control: name="IEC958 Playback Switch", index=0, device=0       
  Control: name="IEC958 Default PCM Playback Switch", index=0, device=0
  Device: name="STAC92xx Digital", type="SPDIF", device=1              
  Converter: stream=0, channel=0                                       
  Digital:                                                             
  Digital category: 0x0                                                
  PCM:                                                                 
    rates [0x1e0]: 44100 48000 88200 96000                             
    bits [0xe]: 16 20 24                                               
    formats [0x5]: PCM AC3                                             
  Delay: 4 samples                                                     
Node 0x06 [Vendor Defined Widget] wcaps 0xf30201: Stereo Digital       
  Delay: 3 samples                                                     
Node 0x07 [Audio Selector] wcaps 0x300901: Stereo R/L                  
  Connection: 3                                                        
     0x02* 0x08 0x0a                                                   
Node 0x08 [Pin Complex] wcaps 0x430681: Stereo Digital                 
  Pincap 0x00010024: IN EAPD Detect                                    
  EAPD 0x0:                                                            
  Pin Default 0x40c003fa: [N/A] SPDIF In at Ext N/A                    
    Conn = Unknown, Color = Unknown                                    
    DefAssociation = 0xf, Sequence = 0xa                               
    Misc = NO_PRESENCE                                                 
  Pin-ctls: 0x00:                                                      
  Unsolicited: tag=00, enabled=0                                       
  Power: setting=D0, actual=D0                                         
  Delay: 3 samples                                                     
Node 0x09 [Pin Complex] wcaps 0x400301: Stereo Digital                 
  Pincap 0x00000010: OUT                                               
  Pin Default 0x01441340: [Jack] SPDIF Out at Ext Rear                 
    Conn = RCA, Color = Black                                          
    DefAssociation = 0x4, Sequence = 0x0                               
    Misc = NO_PRESENCE                                                 
  Pin-ctls: 0x40: OUT                                                  
  Connection: 2                                                        
     0x05* 0x0a                                                        
Node 0x0a [Audio Selector] wcaps 0x30090d: Stereo Amp-Out R/L          
  Control: name="Capture Volume", index=0, device=0                    
    ControlAmp: chs=3, dir=Out, idx=0, ofs=0                           
  Control: name="Capture Switch", index=0, device=0                    
    ControlAmp: chs=3, dir=Out, idx=0, ofs=0                           
  Amp-Out caps: ofs=0x00, nsteps=0x0f, stepsize=0x05, mute=1           
  Amp-Out vals:  [0x08 0x08]                                           
  Connection: 1                                                        
     0x0c                                                              
Node 0x0b [Audio Selector] wcaps 0x300105: Stereo Amp-Out              
  Control: name="Master Playback Volume", index=0, device=0            
    ControlAmp: chs=3, dir=Out, idx=0, ofs=0                           
  Control: name="Master Playback Switch", index=0, device=0            
    ControlAmp: chs=3, dir=Out, idx=0, ofs=0                           
  Amp-Out caps: N/A                                                    
  Amp-Out vals:  [0x1f 0x1f]                                           
  Connection: 1                                                        
     0x07                                                              
Node 0x0c [Audio Selector] wcaps 0x30010d: Stereo Amp-Out              
  Control: name="Mux Capture Volume", index=0, device=0                
    ControlAmp: chs=3, dir=Out, idx=0, ofs=0                           
  Amp-Out caps: ofs=0x00, nsteps=0x04, stepsize=0x27, mute=0           
  Amp-Out vals:  [0x00 0x00]                                           
  Connection: 5                                                        
     0x10* 0x0f 0x0e 0x0d 0x12                                         
Node 0x0d [Pin Complex] wcaps 0x400181: Stereo                         
  Pincap 0x0000003f: IN OUT HP Detect Trigger ImpSense                 
  Pin Default 0x0421421f: [Jack] HP Out at Ext Right                   
    Conn = 1/8, Color = Green                                          
    DefAssociation = 0x1, Sequence = 0xf                               
  Pin-ctls: 0x00:                                                      
  Unsolicited: tag=01, enabled=1                                       
  Connection: 1                                                        
     0x0b                                                              
Node 0x0e [Pin Complex] wcaps 0x400181: Stereo                         
  Pincap 0x0000003f: IN OUT HP Detect Trigger ImpSense                 
  Pin Default 0x90170310: [Fixed] Speaker at Int N/A                   
    Conn = Analog, Color = Unknown                                     
    DefAssociation = 0x1, Sequence = 0x0                               
    Misc = NO_PRESENCE                                                 
  Pin-ctls: 0x40: OUT                                                  
  Unsolicited: tag=00, enabled=0                                       
  Connection: 1                                                        
     0x0b                                                              
Node 0x0f [Pin Complex] wcaps 0x400181: Stereo                         
  Pincap 0x00000037: IN OUT Detect Trigger ImpSense                    
  Pin Default 0x408003fb: [N/A] Line In at Ext N/A                     
    Conn = Unknown, Color = Unknown                                    
    DefAssociation = 0xf, Sequence = 0xb                               
    Misc = NO_PRESENCE                                                 
  Pin-ctls: 0x20: IN                                                   
  Unsolicited: tag=00, enabled=0                                       
  Connection: 1                                                        
     0x0b                                                              
Node 0x10 [Pin Complex] wcaps 0x400181: Stereo                         
  Pincap 0x00001737: IN OUT Detect Trigger ImpSense                    
    Vref caps: HIZ 50 GRD 80                                           
  Pin Default 0x04a1102e: [Jack] Mic at Ext Right                      
    Conn = 1/8, Color = Black                                          
    DefAssociation = 0x2, Sequence = 0xe                               
  Pin-ctls: 0x24: IN VREF_80                                           
  Unsolicited: tag=02, enabled=1                                       
  Connection: 1                                                        
     0x0b                                                              
Node 0x11 [Pin Complex] wcaps 0x400104: Mono Amp-Out                   
  Control: name="LFE Playback Volume", index=0, device=0               
    ControlAmp: chs=1, dir=Out, idx=0, ofs=0                           
  Control: name="LFE Playback Switch", index=0, device=0               
    ControlAmp: chs=1, dir=Out, idx=0, ofs=0                           
  Amp-Out caps: N/A                                                    
  Amp-Out vals:  [0x00]                                                
  Pincap 0x00000010: OUT                                               
  Pin Default 0x90170311: [Fixed] Speaker at Int N/A                   
    Conn = Analog, Color = Unknown                                     
    DefAssociation = 0x1, Sequence = 0x1                               
    Misc = NO_PRESENCE                                                 
  Pin-ctls: 0x40: OUT                                                  
  Connection: 1                                                        
     0x13                                                              
Node 0x12 [Pin Complex] wcaps 0x400001: Stereo                         
  Pincap 0x00000020: IN                                                
  Pin Default 0x403003fc: [N/A] CD at Ext N/A                          
    Conn = Unknown, Color = Unknown                                    
    DefAssociation = 0xf, Sequence = 0xc                               
    Misc = NO_PRESENCE                                                 
  Pin-ctls: 0x20: IN                                                   
Node 0x13 [Audio Mixer] wcaps 0x200100: Mono                           
  Connection: 1                                                        
     0x07                                                              
Node 0x14 [Beep Generator Widget] wcaps 0x70000c: Mono Amp-Out         
  Amp-Out caps: ofs=0x03, nsteps=0x03, stepsize=0x17, mute=1           
  Amp-Out vals:  [0x00]                                                
Codec: Conexant ID 2bfa                                                
Address: 1                                                             
Function Id: 0x2                                                       
Vendor Id: 0x14f12bfa                                                  
Subsystem Id: 0x14f100c3                                               
Revision Id: 0x90000                                                   
Modem Function Group: 0x2                                              
--endcollapse--                                                        


!!ALSA Device nodes
!!-----------------

crw-rw----+ 1 root audio 116, 9 May 20 20:47 /dev/snd/controlC0
crw-rw----+ 1 root audio 116, 8 May 20 20:47 /dev/snd/hwC0D0   
crw-rw----+ 1 root audio 116, 7 May 20 20:47 /dev/snd/hwC0D1   
crw-rw----+ 1 root audio 116, 6 May 23 10:27 /dev/snd/pcmC0D0c 
crw-rw----+ 1 root audio 116, 5 May 24 18:58 /dev/snd/pcmC0D0p 
crw-rw----+ 1 root audio 116, 4 May 23 10:27 /dev/snd/pcmC0D1p 
crw-rw----+ 1 root audio 116, 3 May 20 20:47 /dev/snd/seq      
crw-rw----+ 1 root audio 116, 2 May 20 20:47 /dev/snd/timer    

/dev/snd/by-path:
total 0          
drwxr-xr-x. 2 root root  60 May 20 20:47 .
drwxr-xr-x. 3 root root 220 May 20 20:47 ..
lrwxrwxrwx. 1 root root  12 May 20 20:47 pci-0000:00:1b.0 -> ../controlC0


!!ALSA configuration files
!!------------------------

!!System wide config file (/etc/asound.conf)

#
# Place your global alsa-lib configuration here...
#                                                 

@hooks [
        {
                func load
                files [  
                        "/etc/alsa/pulse-default.conf"
                ]                                     
                errors false                          
        }                                             
]                                                     


!!Aplay/Arecord output
!!------------        

APLAY

**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
  Subdevices: 1/1                                                     
  Subdevice #0: subdevice #0                                          
card 0: Intel [HDA Intel], device 1: STAC92xx Digital [STAC92xx Digital]
  Subdevices: 1/1                                                       
  Subdevice #0: subdevice #0                                            

ARECORD

**** List of CAPTURE Hardware Devices ****
card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
  Subdevices: 1/1                                                     
  Subdevice #0: subdevice #0                                          

!!Amixer output
!!-------------

!!-------Mixer controls for card 0 [Intel]

Card hw:0 'Intel'/'HDA Intel at 0xefffc000 irq 30'
  Mixer name    : 'SigmaTel STAC9200'             
  Components    : 'HDA:83847690,102801ce,00102201 HDA:14f12bfa,14f100c3,00090000'
  Controls      : 13                                                             
  Simple ctrls  : 7                                                              
Simple mixer control 'Master',0                                                  
  Capabilities: pvolume pswitch                                                  
  Playback channels: Front Left - Front Right                                    
  Limits: Playback 0 - 31                                                        
  Mono:                                                                          
  Front Left: Playback 31 [100%] [0.00dB] [on]                                   
  Front Right: Playback 31 [100%] [0.00dB] [on]                                  
Simple mixer control 'PCM',0                                                     
  Capabilities: pvolume                                                          
  Playback channels: Front Left - Front Right                                    
  Limits: Playback 0 - 255                                                       
  Mono:                                                                          
  Front Left: Playback 252 [99%] [0.60dB]                                        
  Front Right: Playback 252 [99%] [0.60dB]                                       
Simple mixer control 'LFE',0                                                     
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined                    
  Playback channels: Mono                                                        
  Limits: Playback 0 - 31                                                        
  Mono: Playback 31 [100%] [0.00dB] [on]                                         
Simple mixer control 'IEC958',0                                                  
  Capabilities: pswitch pswitch-joined                                           
  Playback channels: Mono                                                        
  Mono: Playback [off]                                                           
Simple mixer control 'IEC958 Default PCM',0                                      
  Capabilities: pswitch pswitch-joined                                           
  Playback channels: Mono                                                        
  Mono: Playback [on]                                                            
Simple mixer control 'Capture',0                                                 
  Capabilities: cvolume cswitch                                                  
  Capture channels: Front Left - Front Right                                     
  Limits: Capture 0 - 15                                                         
  Front Left: Capture 8 [53%] [12.00dB] [on]                                     
  Front Right: Capture 8 [53%] [12.00dB] [on]                                    
Simple mixer control 'Mux',0                                                     
  Capabilities: cvolume                                                          
  Capture channels: Front Left - Front Right                                     
  Limits: Capture 0 - 4                                                          
  Front Left: Capture 0 [0%] [0.00dB]                                            
  Front Right: Capture 0 [0%] [0.00dB]                                           


!!Alsactl output
!!------------- 

--startcollapse--
state.Intel {    
        control.1 {
                comment.access 'read write'
                comment.type INTEGER       
                comment.count 2            
                comment.range '0 - 31'     
                comment.dbmin -4650        
                comment.dbmax 0            
                iface MIXER                
                name 'Master Playback Volume'
                value.0 31                   
                value.1 31                   
        }                                    
        control.2 {                          
                comment.access 'read write'  
                comment.type BOOLEAN         
                comment.count 2              
                iface MIXER                  
                name 'Master Playback Switch'
                value.0 true                 
                value.1 true                 
        }                                    
        control.3 {                          
                comment.access 'read write'  
                comment.type INTEGER         
                comment.count 2              
                comment.range '0 - 15'       
                comment.dbmin 0              
                comment.dbmax 2250           
                iface MIXER                  
                name 'Capture Volume'        
                value.0 8                    
                value.1 8                    
        }                                    
        control.4 {                          
                comment.access 'read write'  
                comment.type BOOLEAN         
                comment.count 2              
                iface MIXER                  
                name 'Capture Switch'        
                value.0 true                 
                value.1 true                 
        }                                    
        control.5 {                          
                comment.access 'read write'  
                comment.type INTEGER         
                comment.count 1              
                comment.range '0 - 31'       
                comment.dbmin -4650          
                comment.dbmax 0              
                iface MIXER                  
                name 'LFE Playback Volume'   
                value 31                     
        }                                    
        control.6 {                          
                comment.access 'read write'  
                comment.type BOOLEAN         
                comment.count 1              
                iface MIXER                  
                name 'LFE Playback Switch'   
                value true                   
        }                                    
        control.7 {                          
                comment.access 'read write'  
                comment.type INTEGER         
                comment.count 2              
                comment.range '0 - 4'        
                comment.dbmin 0              
                comment.dbmax 4000           
                iface MIXER                  
                name 'Mux Capture Volume'    
                value.0 0                    
                value.1 0                    
        }                                    
        control.8 {                          
                comment.access read          
                comment.type IEC958          
                comment.count 1              
                iface MIXER                  
                name 'IEC958 Playback Con Mask'
                value '0fff000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000'                          
        }                                                                                                                             
        control.9 {                                                                                                                   
                comment.access read                                                                                                   
                comment.type IEC958                                                                                                   
                comment.count 1                                                                                                       
                iface MIXER                                                                                                           
                name 'IEC958 Playback Pro Mask'                                                                                       
                value '0f00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000'                          
        }                                                                                                                             
        control.10 {                                                                                                                  
                comment.access 'read write'                                                                                           
                comment.type IEC958                                                                                                   
                comment.count 1                                                                                                       
                iface MIXER                                                                                                           
                name 'IEC958 Playback Default'                                                                                        
                value '0400000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000'                          
        }                                                                                                                             
        control.11 {                                                                                                                  
                comment.access 'read write'                                                                                           
                comment.type BOOLEAN                                                                                                  
                comment.count 1                                                                                                       
                iface MIXER                                                                                                           
                name 'IEC958 Playback Switch'                                                                                         
                value false                                                                                                           
        }                                                                                                                             
        control.12 {                                                                                                                  
                comment.access 'read write'                                                                                           
                comment.type BOOLEAN                                                                                                  
                comment.count 1                                                                                                       
                iface MIXER                                                                                                           
                name 'IEC958 Default PCM Playback Switch'                                                                             
                value true                                                                                                            
        }                                                                                                                             
        control.13 {                                                                                                                  
                comment.access 'read write user'                                                                                      
                comment.type INTEGER                                                                                                  
                comment.count 2                                                                                                       
                comment.range '0 - 255'                                                                                               
                comment.tlv '0000000100000008ffffec1400000014'                                                                        
                comment.dbmin -5100                                                                                                   
                comment.dbmax 0                                                                                                       
                iface MIXER                                                                                                           
                name 'PCM Playback Volume'                                                                                            
                value.0 252                                                                                                           
                value.1 252                                                                                                           
        }                                                                                                                             
}                                                                                                                                     
--endcollapse--                                                                                                                       


!!All Loaded Modules
!!------------------

Module
vfat  
fat   
usb_storage
snd_seq_dummy
iptable_mangle
iptable_nat   
nf_nat        
tun           
nvidia        
fuse          
deflate       
zlib_deflate  
ctr           
camellia      
rfcomm        
cast5         
sco           
rmd160        
bridge        
stp           
llc           
crypto_null   
bnep          
l2cap         
ccm           
serpent       
blowfish      
twofish_x86_64
twofish_common
xcbc          
cbc           
sha256_generic
sha512_generic
des_generic   
cryptd        
aes_x86_64    
aes_generic   
ah6           
ah4           
esp6          
esp4          
xfrm4_mode_beet
xfrm4_tunnel   
tunnel4        
xfrm4_mode_tunnel
xfrm4_mode_transport
xfrm6_mode_transport
xfrm6_mode_ro       
xfrm6_mode_beet     
xfrm6_mode_tunnel   
ipcomp              
ipcomp6             
xfrm_ipcomp         
xfrm6_tunnel        
tunnel6             
af_key              
autofs4             
sunrpc              
cpufreq_ondemand    
acpi_cpufreq        
freq_table          
ip6t_REJECT         
nf_conntrack_ipv6   
ip6table_filter     
ip6_tables          
ipv6                
dm_mirror           
dm_region_hash      
dm_log              
kvm_intel           
kvm                 
uinput              
arc4                
snd_hda_codec_idt   
ecb                 
snd_hda_intel       
snd_hda_codec       
snd_hwdep           
iwl3945             
snd_seq             
snd_seq_device      
iwlcore             
snd_pcm             
snd_timer           
mac80211            
sdhci_pci           
btusb               
snd                 
sdhci               
video               
i2c_i801            
soundcore           
tg3                 
cfg80211            
mmc_core            
iTCO_wdt            
iTCO_vendor_support 
snd_page_alloc      
output              
i2c_core            
bluetooth           
wmi                 
dell_laptop         
sr_mod              
rfkill              
cdrom               
joydev              
sg                  
dcdbas              
ext4                
mbcache             
jbd2                
sd_mod              
crc_t10dif          
ata_generic         
pata_acpi           
firewire_ohci       
firewire_core       
crc_itu_t           
ata_piix            
dm_mod              


!!Sysfs Files
!!-----------

/sys/class/sound/hwC0D0/init_pin_configs:
0x08 0x40f000f0                          
0x09 0x40f000f1                          
0x0d 0x0421101f                          
0x0e 0x90170110                          
0x0f 0x40f000f2                          
0x10 0x04a11020                          
0x11 0x40f000f3                          
0x12 0x40f000f4                          

/sys/class/sound/hwC0D0/driver_pin_configs:
0x08 0x40c003fa                            
0x09 0x01441340                            
0x0d 0x0421421f                            
0x0e 0x90170310                            
0x0f 0x408003fb                            
0x10 0x04a1102e                            
0x11 0x90170311                            
0x12 0x403003fc                            

/sys/class/sound/hwC0D0/user_pin_configs:

/sys/class/sound/hwC0D0/init_verbs:

/sys/class/sound/hwC0D1/init_pin_configs:
0x73 0x016a0000                          

/sys/class/sound/hwC0D1/driver_pin_configs:

/sys/class/sound/hwC0D1/user_pin_configs:

/sys/class/sound/hwC0D1/init_verbs:


!!ALSA/HDA dmesg
!!------------------

pci 0000:03:01.3: restoring config space at offset 0x1 (was 0x2100000, writing 0x2100102)
HDA Intel 0000:00:1b.0: PCI INT A -> GSI 21 (level, low) -> IRQ 21                       
HDA Intel 0000:00:1b.0: setting latency timer to 64                                      
HDA Intel 0000:00:1b.0: irq 30 for MSI/MSI-X                                             
uhci_hcd 0000:00:1d.0: PCI INT A -> GSI 20 (level, low) -> IRQ 20                        
--                                                                                       
uhci_hcd 0000:00:1d.0: PCI INT A disabled
HDA Intel 0000:00:1b.0: PCI INT A disabled
PM: suspend devices took 3.429 seconds
--
pcieport 0000:00:01.0: restoring config space at offset 0x1 (was 0x100000, writing 0x100507)
HDA Intel 0000:00:1b.0: restoring config space at offset 0xf (was 0x100, writing 0x10b)
HDA Intel 0000:00:1b.0: restoring config space at offset 0x4 (was 0xffa7c004, writing 0xefffc004)
HDA Intel 0000:00:1b.0: restoring config space at offset 0x3 (was 0x0, writing 0x10)
HDA Intel 0000:00:1b.0: restoring config space at offset 0x1 (was 0x100000, writing 0x100102)
pcieport 0000:00:1c.0: restoring config space at offset 0xf (was 0x100, writing 0x20100)
--
pci 0000:03:01.3: restoring config space at offset 0x1 (was 0x2100000, writing 0x2100102)
HDA Intel 0000:00:1b.0: PCI INT A -> GSI 21 (level, low) -> IRQ 21
HDA Intel 0000:00:1b.0: setting latency timer to 64
HDA Intel 0000:00:1b.0: irq 30 for MSI/MSI-X
uhci_hcd 0000:00:1d.0: PCI INT A -> GSI 20 (level, low) -> IRQ 20
--
uhci_hcd 0000:00:1d.0: PCI INT A disabled
HDA Intel 0000:00:1b.0: PCI INT A disabled
PM: suspend devices took 3.446 seconds
--
pcieport 0000:00:01.0: restoring config space at offset 0x1 (was 0x100000, writing 0x100507)
HDA Intel 0000:00:1b.0: restoring config space at offset 0xf (was 0x100, writing 0x10b)
HDA Intel 0000:00:1b.0: restoring config space at offset 0x4 (was 0xffa7c004, writing 0xefffc004)
HDA Intel 0000:00:1b.0: restoring config space at offset 0x3 (was 0x0, writing 0x10)
HDA Intel 0000:00:1b.0: restoring config space at offset 0x1 (was 0x100000, writing 0x100102)
pcieport 0000:00:1c.0: restoring config space at offset 0xf (was 0x100, writing 0x20100)
--
pci 0000:03:01.3: restoring config space at offset 0x1 (was 0x2100000, writing 0x2100102)
HDA Intel 0000:00:1b.0: PCI INT A -> GSI 21 (level, low) -> IRQ 21
HDA Intel 0000:00:1b.0: setting latency timer to 64
HDA Intel 0000:00:1b.0: irq 30 for MSI/MSI-X
uhci_hcd 0000:00:1d.0: PCI INT A -> GSI 20 (level, low) -> IRQ 20
Comment 6 RHEL Product and Program Management 2010-06-07 12:07:56 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 7 RHEL Product and Program Management 2010-07-15 10:45:40 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 8 Jaroslav Kysela 2015-10-14 04:36:32 EDT
I believe that this issue was fixed in recent RHEL6 kernels / ALSA utilities. Please, open a new bug otherwise.

Note You need to log in before you can comment on or make changes to this bug.